Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.event
Class TEXTEmitter

    java.lang.Object
      net.sf.saxon.event.Emitter
          net.sf.saxon.event.XMLEmitter
              net.sf.saxon.event.TEXTEmitter

All Implemented Interfaces:
  Result, Receiver

    public class TEXTEmitter

extends XMLEmitter

This class generates TEXT output

Author:
  Michael H. Kay

Constructor Summary
`TEXTEmitter()`

Method Summary
`void` | `attribute(int nameCode, int typeCode, CharSequence value, int locationId, int properties)` Notify an attribute.
`void` | `characters(CharSequence chars, int locationId, int properties)` Produce output using the current Writer.
`void` | `comment(CharSequence chars, int locationId, int properties)` Output a comment.
`void` | `endElement()` Output an element end tag.
`void` | `namespace(int namespaceCode, int properties)` Notify a namespace.
`void` | `open()` Start of the document.
`void` | `processingInstruction(String name, CharSequence value, int locationId, int properties)` Output a processing instruction.
`void` | `startElement(int nameCode, int typeCode, int locationId, int properties)` Output an element start tag.
`void` | `writeDeclaration()` Output the XML declaration.

Methods inherited from class net.sf.saxon.event.XMLEmitter
`close, closeStartTag, endDocument, main, startContent, startDocument, writeCharSequence`

Methods inherited from class net.sf.saxon.event.Emitter
`getConfiguration, getOutputProperties, getOutputStream, getPipelineConfiguration, getSystemId, getWriter, setOutputProperties, setOutputStream, setPipelineConfiguration, setStreamResult, setSystemId, setUnparsedEntity, setWriter, usesWriter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TEXTEmitter

    public TEXTEmitter()

Method Detail

### open

    public void open()
              throws XPathException

  Start of the document.

  Specified by:
    `open` in interface `Receiver`
  Overrides:
    `open` in class `XMLEmitter`
  Throws:
    `XPathException`

### writeDeclaration

    public void writeDeclaration()
                          throws XPathException

  Output the XML declaration. This implementation does nothing.

  Overrides:
    `writeDeclaration` in class `XMLEmitter`
  Throws:
    `XPathException`

### characters

    public void characters(CharSequence chars,
                           int locationId,
                           int properties)
                    throws XPathException

  Produce output using the current Writer.
  Special characters are not escaped.

  Specified by:
    `characters` in interface `Receiver`
  Overrides:
    `characters` in class `XMLEmitter`
  Parameters:
    `chars` - Character sequence to be output
    `properties` - bit fields holding special properties of the characters
    `locationId` - an integer which can be interpreted using a `LocationProvider` to return information such as line number and system ID. If no location information is available, the value zero is supplied.
  Throws:
    `XPathException` - for any failure

### startElement

    public void startElement(int nameCode,
                             int typeCode,
                             int locationId,
                             int properties)

  Output an element start tag.
  Does nothing with this output method.

  Specified by:
    `startElement` in interface `Receiver`
  Overrides:
    `startElement` in class `XMLEmitter`
  Parameters:
    `nameCode` - The element name (tag)
    `typeCode` - The type annotation
    `properties` - Bit fields holding any special properties of the element
    `locationId` - an integer which can be interpreted using a `LocationProvider` to return information such as line number and system ID. If no location information is available, the value zero is supplied.

### namespace

    public void namespace(int namespaceCode,
                          int properties)

  Description copied from interface: `Receiver`
  Notify a namespace. Namespaces are notified after the startElement event, and before any children for the element. The namespaces that are reported are only required to include those that are different from the parent element. The events represent namespace declarations and undeclarations rather than in-scope namespace nodes: an undeclaration is represented by a namespace code of zero. If the sequence of namespace events contains two A namespace must not conflict with any namespaces already used for element or attribute names.

  Specified by:
    `namespace` in interface `Receiver`
  Overrides:
    `namespace` in class `XMLEmitter`
  Parameters:
    `namespaceCode` - an integer: the top half is a prefix code, the bottom half a URI code. These may be translated into an actual prefix and URI using the name pool. A prefix code of zero represents the empty prefix (that is, the default namespace). A URI code of zero represents a URI of "", that is, a namespace undeclaration.
    `properties` - The most important property is REJECT_DUPLICATES. If this property is set, the namespace declaration will be rejected if it conflicts with a previous declaration of the same prefix. If the property is not set, the namespace declaration will be ignored if it conflicts with a previous declaration. This reflects the fact that when copying a tree, namespaces for child elements are emitted before the namespaces of their parent element. Unfortunately this conflicts with the XSLT rule for complex content construction, where the recovery action in the event of conflicts is to take the namespace that comes last. XSLT therefore doesn't recover from this error: it sets the REJECT_DUPLICATES flag, and this is treated as a hard error.

### attribute

    public void attribute(int nameCode,
                          int typeCode,
                          CharSequence value,
                          int locationId,
                          int properties)

  Description copied from interface: `Receiver`
  Notify an attribute. Attributes are notified after the startElement event, and before any children. Namespaces and attributes may be intermingled.

  Specified by:
    `attribute` in interface `Receiver`
  Overrides:
    `attribute` in class `XMLEmitter`
  Parameters:
    `nameCode` - The name of the attribute, as held in the name pool
    `typeCode` - The type of the attribute, as held in the name pool. The additional bit NodeInfo.IS_DTD_TYPE may be set to indicate a DTD-derived type.
    `locationId` - an integer which can be interpreted using a `LocationProvider` to return information such as line number and system ID. If no location information is available, the value zero is supplied.
    `properties` - Bit significant value. The following bits are defined:
  DISABLE_ESCAPING
    Disable escaping for this attribute
  NO_SPECIAL_CHARACTERS
    Attribute value contains no special characters

### endElement

    public void endElement()

  Output an element end tag.
  Does nothing with this output method.

  Specified by:
    `endElement` in interface `Receiver`
  Overrides:
    `endElement` in class `XMLEmitter`

### processingInstruction

    public void processingInstruction(String name,
                                      CharSequence value,
                                      int locationId,
                                      int properties)
                               throws XPathException

  Output a processing instruction.
  Does nothing with this output method.

  Specified by:
    `processingInstruction` in interface `Receiver`
  Overrides:
    `processingInstruction` in class `XMLEmitter`
  Parameters:
    `name` - The PI name. This must be a legal name (it will not be checked).
    `value` - The data portion of the processing instruction
    `locationId` - an integer which can be interpreted using a `LocationProvider` to return information such as line number and system ID. If no location information is available, the value zero is supplied.
    `properties` - Additional information about the PI. The following bits are defined:
  CHECKED
    Data is known to be legal (e.g. doesn't contain "?>")
  Throws:
    `XPathException`

### comment

    public void comment(CharSequence chars,
                        int locationId,
                        int properties)
                 throws XPathException

  Output a comment.
  Does nothing with this output method.

  Specified by:
    `comment` in interface `Receiver`
  Overrides:
    `comment` in class `XMLEmitter`
  Parameters:
    `chars` - The content of the comment
    `locationId` - an integer which can be interpreted using a `LocationProvider` to return information such as line number and system ID. If no location information is available, the value zero is supplied.
    `properties` - Additional information about the comment. The following bits are defined:
  CHECKED
    Comment is known to be legal (e.g. doesn't contain "--")
  Throws:
    `XPathException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.